# Asterisk Project : Asterisk 13 Function_STRFTIME

Created by wikibot on Aug 08, 2014

# STRFTIME()

### Synopsis

Returns the current date/time in the specified format.

### Description

STRFTIME supports all of the same formats as the underlying C function strftime(3). It also supports the following format: `%[n]q` - fractions of a second, with leading zeros.

Example: `%3q` will give milliseconds and `%1q` will give tenths of a second. The default is set at milliseconds (n=3). The common case is to use it in combination with %S, as in `%S.%3q`.

### Syntax

    STRFTIME(epoch,timezone,format)

##### Arguments

- `epoch`
- `timezone`
- `format`

### See Also

- `strftime(3)`

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538